Last update problems Studio 20.04

Asked by Larooy on 2020-07-19

Suddenly after the last update of yesterday, the workspace disappears with clock and other stuff that is convenient and now the windows are placed on each other and I can't switch or move them anymore.
Also, the update comes with a warning:

Package dependencies cannot be resolved
Required additional software packages may not be available or be installable. Furthermore, there may have been a conflict between software packages that cannot be installed at the same time.
The transaction failed: Package dependencies cannot be resolved
The dependencies of the following packages could not be installed:

gnome-software-plugin-snap: Depends: gnome-software (= 3.36.1-0ubuntu0.20.04.0) maar 3.36.1-0ubuntu0.20.04.0 zal worden geïnstalleerd

Question information

Language:
English Edit question
Status:
Expired
For:
Ubuntu Edit question
Assignee:
No assignee Edit question
Last query:
2020-07-25
Last reply:
2020-08-10
Manfred Hampl (m-hampl) said : #1

For diagnostic purposes please provide the output of the following commands (to be executed in a terminal window):

uname -a
lsb_release -crid
sudo dpkg --audit
sudo apt update
sudo apt install -f

(use the terminal window's menu entries to select and copy all text)

Also what is the output of:

apt-cache policy gnome-software-plugin-snap gnome-software

Thanks

Larooy (delarooy) said : #3

Hi Manfred thanks for helping me
Here is the outcome

louise@louise-MCP61:~$ apt-cache policy gnome-software-plugin-snap
gnome-software
gnome-software-plugin-snap:
  Geïnstalleerd: 3.36.0-0ubuntu3
  Kandidaat: 3.36.1-0ubuntu0.20.04.0
  Versietabel:
     3.36.1-0ubuntu0.20.04.0 500
        500 http://nl.archive.ubuntu.com/ubuntu focal-updates/main amd64
Packages
 *** 3.36.0-0ubuntu3 500
        500 http://nl.archive.ubuntu.com/ubuntu focal/main amd64 Packages
        100 /var/lib/dpkg/status
gnome-software:
  Geïnstalleerd: 3.36.0-0ubuntu3
  Kandidaat: 3.36.1-0ubuntu0.20.04.0
  Versietabel:
     3.36.1-0ubuntu0.20.04.0 500
        500 http://nl.archive.ubuntu.com/ubuntu focal-updates/main amd64
Packages
 *** 3.36.0-0ubuntu3 500
        500 http://nl.archive.ubuntu.com/ubuntu focal/main amd64 Packages
        100 /var/lib/dpkg/status
louise@louise-MCP61:~$

Op zo 19 jul. 2020 om 21:15 schreef actionparsnip <
<email address hidden>>:

> Your question #691957 on Ubuntu changed:
> https://answers.launchpad.net/ubuntu/+question/691957
>
> actionparsnip requested more information:
> Also what is the output of:
>
> apt-cache policy gnome-software-plugin-snap gnome-software
>
> Thanks
>
> --
> To answer this request for more information, you can either reply to
> this email or enter your reply at the following page:
> https://answers.launchpad.net/ubuntu/+question/691957
>
> You received this question notification because you asked the question.
>

Manfred Hampl (m-hampl) said : #4

I do not see the output of

uname -a
lsb_release -crid
sudo dpkg --audit
sudo apt update
sudo apt install -f

Larooy (delarooy) said : #5

Hello manfred here is the outcome:

louise@louise-MCP61:~$ uname -a
Linux louise-MCP61 5.4.0-40-lowlatency #44-Ubuntu SMP PREEMPT Tue Jun 23
01:32:24 UTC 2020 x86_64 x86_64 x86_64 GNU/Linux
louise@louise-MCP61:~$ lsb_release -crid
Distributor ID: Ubuntu
Description: Ubuntu 20.04 LTS
Release: 20.04
Codename: focal
louise@louise-MCP61:~$ sudo dpkg --audit
[sudo] wachtwoord voor louise:
Sorry, probeer het opnieuw.
[sudo] wachtwoord voor louise:
louise@louise-MCP61:~$ uname -a
Linux louise-MCP61 5.4.0-40-lowlatency #44-Ubuntu SMP PREEMPT Tue Jun 23
01:32:24 UTC 2020 x86_64 x86_64 x86_64 GNU/Linux
louise@louise-MCP61:~$ lsb_release -crid
Distributor ID: Ubuntu
Description: Ubuntu 20.04 LTS
Release: 20.04
Codename: focal
louise@louise-MCP61:~$ sudo dpkg --audit
louise@louise-MCP61:~$ sudo apt update
Geraakt:1 http://nl.archive.ubuntu.com/ubuntu focal InRelease
Geraakt:2 http://nl.archive.ubuntu.com/ubuntu focal-updates InRelease
Geraakt:3 http://nl.archive.ubuntu.com/ubuntu focal-security InRelease
Geraakt:4 http://nl.archive.ubuntu.com/ubuntu focal-proposed InRelease
Pakketlijsten worden ingelezen... Klaar
Boom van vereisten wordt opgebouwd
De statusinformatie wordt gelezen... Klaar
69 pakketten kunnen opgewaardeerd worden. Voer 'apt list --upgradable' uit
om ze te zien.
louise@louise-MCP61:~$ sudo apt install -f

Op ma 20 jul. 2020 om 22:55 schreef Manfred Hampl <
<email address hidden>>:

> Your question #691957 on Ubuntu changed:
> https://answers.launchpad.net/ubuntu/+question/691957
>
> Status: Open => Needs information
>
> Manfred Hampl requested more information:
> I do not see the output of
>
> uname -a
> lsb_release -crid
> sudo dpkg --audit
> sudo apt update
> sudo apt install -f
>
> --
> To answer this request for more information, you can either reply to
> this email or enter your reply at the following page:
> https://answers.launchpad.net/ubuntu/+question/691957
>
> You received this question notification because you asked the question.
>

Manfred Hampl (m-hampl) said : #6

The last output does not show any error.

1. Which command did you execute to receive the original error message?

2. The "focal-proposed"-repository should be enabled only when you want to help with testing of updated packages, and only if you accept that there might be errors with new packages which in the worst case may break your system.

3. There are 69 package updates available for your system, you probably should install them in due course.

Larooy (delarooy) said : #7

Oke, I don't really understand this but I shall try to instal again the
20.04 from the CD so the new packages come automatically.
Thanks, Manfred

Op di 21 jul. 2020 om 22:31 schreef Manfred Hampl <
<email address hidden>>:

> Your question #691957 on Ubuntu changed:
> https://answers.launchpad.net/ubuntu/+question/691957
>
> Status: Open => Answered
>
> Manfred Hampl proposed the following answer:
> The last output does not show any error.
>
> 1. Which command did you execute to receive the original error message?
>
> 2. The "focal-proposed"-repository should be enabled only when you want
> to help with testing of updated packages, and only if you accept that
> there might be errors with new packages which in the worst case may
> break your system.
>
> 3. There are 69 package updates available for your system, you probably
> should install them in due course.
>
> --
> If this answers your question, please go to the following page to let us
> know that it is solved:
> https://answers.launchpad.net/ubuntu/+question/691957/+confirm?answer_id=5
>
> If you still need help, you can reply to this email or go to the
> following page to enter your feedback:
> https://answers.launchpad.net/ubuntu/+question/691957
>
> You received this question notification because you asked the question.
>

Larooy (delarooy) said : #8

VERRY STRANGE, I installed 20.04 again and the same problem pop up

Op do 23 jul. 2020 om 15:16 schreef Larooy <
<email address hidden>>:

> Your question #691957 on Ubuntu changed:
> https://answers.launchpad.net/ubuntu/+question/691957
>
> Status: Answered => Open
>
> You are still having a problem:
> Oke, I don't really understand this but I shall try to instal again the
> 20.04 from the CD so the new packages come automatically.
> Thanks, Manfred
>
>
> Op di 21 jul. 2020 om 22:31 schreef Manfred Hampl <
> <email address hidden>>:
>
> > Your question #691957 on Ubuntu changed:
> > https://answers.launchpad.net/ubuntu/+question/691957
> >
> > Status: Open => Answered
> >
> > Manfred Hampl proposed the following answer:
> > The last output does not show any error.
> >
> > 1. Which command did you execute to receive the original error message?
> >
> > 2. The "focal-proposed"-repository should be enabled only when you want
> > to help with testing of updated packages, and only if you accept that
> > there might be errors with new packages which in the worst case may
> > break your system.
> >
> > 3. There are 69 package updates available for your system, you probably
> > should install them in due course.
> >
> > --
> > If this answers your question, please go to the following page to let us
> > know that it is solved:
> >
> https://answers.launchpad.net/ubuntu/+question/691957/+confirm?answer_id=5
> >
> > If you still need help, you can reply to this email or go to the
> > following page to enter your feedback:
> > https://answers.launchpad.net/ubuntu/+question/691957
> >
> > You received this question notification because you asked the question.
> >
>
> --
> You received this question notification because you asked the question.
>

Manfred Hampl (m-hampl) said : #9

What "same problem" exactly, please? After which command or after which action?

Larooy (delarooy) said : #10

Dutch:
Pakketafhankelijkheden kunnen niet opgelost worden
Mogelijk zijn vereiste, extra softwarepakketten niet beschikbaar of niet
installeerbaar. Verder kan er een conflict zijn opgetreden tussen
softwarepakketten die niet tegelijkertijd geïnstalleerd kunnen zijn.
Transaction failed: Pakketafhankelijkheden kunnen niet opgelost worden
 De afhankelijkheden van de volgende pakketten konden niet geïnstalleerd
worden:
English
Package dependencies cannot be resolved Required additional software
packages may not be available or cannot be installed. Also, there may have
been a conflict between software packages that cannot be installed at the
same time

gnome-software-plugin-snap: Depends: gnome-software (=
3.36.1-0ubuntu0.20.04.0) maar 3.36.1-0ubuntu0.20.04.0 zal worden
geïnstalleerd
When I say OK then the same question came up
I think there is something wrong with Xfce, because I lost my Toolbar and
the window pages are sticking together can't move them anymore.

Op za 25 jul. 2020 om 21:35 schreef Manfred Hampl <
<email address hidden>>:

> Your question #691957 on Ubuntu changed:
> https://answers.launchpad.net/ubuntu/+question/691957
>
> Status: Open => Needs information
>
> Manfred Hampl requested more information:
> What "same problem" exactly, please? After which command or after which
> action?
>
> --
> To answer this request for more information, you can either reply to
> this email or enter your reply at the following page:
> https://answers.launchpad.net/ubuntu/+question/691957
>
> You received this question notification because you asked the question.
>

Manfred Hampl (m-hampl) said : #11

Which command did you execute to receive this message?

Manfred Hampl (m-hampl) said : #12

... and please provide the full output that you receive

Launchpad Janitor (janitor) said : #13

This question was expired because it remained in the 'Needs information' state without activity for the last 15 days.